# Administration Reference

## bos getrestart

Purpose

Displays the automatic restart times for server processes

Synopsis

    bos getrestart -server <machine name>  [-cell <cell name>]
                   [-noauth]  [-localauth]  [-help]

    bos getr -s <machine name>  [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos getrestart command displays two restart times from the /usr/afs/local/BosConfig file on the server machine named by the -server argument:

- The general restart time at which the BOS Server process automatically restarts itself and all processes marked with status `Run` in the BosConfig file. The default is Sunday at 4:00 a.m.

- The binary restart time at which the BOS Server automatically restarts any process for which the time stamp on the binary file in the /usr/afs/bin directory is later than the last restart time for the process. The default is 5:00 a.m. Use the bos getdate command to list a binary file's timestamp, and the -long flag to the bos status command to display a process's most recent restart time.

Use the bos setrestart command to set the restart times.

Options

-server
  Indicates the server machine for which to display the restart times. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output consists of two lines:

       Server machine_name restarts at time
       Server machine_name restarts for new binaries at time

Possible values for time include:

- `never`, indicating that the BOS Server never performs that type of restart

- `now`, indicating that the BOS Server performs that type of restart only each time it restarts

- A specified day and time, indicating that the BOS Server performs that type of restart once per week. Example: `sun 4:00 am`.

- A specified time, indicating that the BOS Server performs that type of restart once per day. Examples: `11:00 pm`, `3:00 am`.

Examples

The following example displays the restart times for the machine db2.abc.com:

       % bos getrestart db2.abc.com
       Server db2.abc.com restarts at sun 4:00 am
       Server db2.abc.com restarts for new binaries at 2:15 am

In the following example, the issuer abbreviates the machine name fs1.abc.com to fs1, relying on the cell's name server to resolve the name. The output echoes the abbreviated form.

       % bos getrestart fs1
       Server fs1 restarts at sat 5:00 am
       Server fs1 restarts for new binaries at 11:30 pm

Privilege Required

None

Related Information

BosConfig

KeyFile

bos

bos getdate

bos setrestart

bos status

© IBM Corporation 2000. All Rights Reserved